summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100644
index 0000000..3c3c49b
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+ echo "usage: $0 user | global"
+ exit 1
+fi
+
+shopt -s dotglob 2> /dev/null
+
+case "$1" in
+ user)
+ echo "installing the user configuration..."
+ find user -maxdepth 1 -mindepth 1 -exec cp -ivr {} ~ \;
+ ;;
+ global)
+ echo "installing the global configuration..."
+ find global -maxdepth 1 -mindepth 1 -exec cp -ivr {} / \;
+ ;;
+ *)
+ echo "invalid command"
+ ;;
+esac